AddressBookParsedResult (ZXing 3.5.2 API)
Description: declaration: package: com.google.zxing.client.result, class: AddressBookParsedResult

Package com.google.zxing.client.result

# Class AddressBookParsedResult

java.lang.Object
com.google.zxing.client.result.ParsedResult
com.google.zxing.client.result.AddressBookParsedResult

public final class AddressBookParsedResult extends ParsedResult
Represents a parsed result that encodes contact information, like that in an address book entry.

Author:
  Sean Owen

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddressBookParsedResult(String[] names, String[] phoneNumbers, String[] phoneTypes, String[] emails, String[] emailTypes, String[] addresses, String[] addressTypes)`
  `AddressBookParsedResult(String[] names, String[] nicknames, String pronunciation, String[] phoneNumbers, String[] phoneTypes, String[] emails, String[] emailTypes, String instantMessenger, String note, String[] addresses, String[] addressTypes, String org, String birthday, String title, String[] urls, String[] geo)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `getAddresses()`
  `String[]`
  `getAddressTypes()`
  `String`
  `getBirthday()`
  `String`
  `getDisplayResult()`
  `String[]`
  `getEmails()`
  `String[]`
  `getEmailTypes()`
  `String[]`
  `getGeo()`
  `String`
  `getInstantMessenger()`
  `String[]`
  `getNames()`
  `String[]`
  `getNicknames()`
  `String`
  `getNote()`
  `String`
  `getOrg()`
  `String[]`
  `getPhoneNumbers()`
  `String[]`
  `getPhoneTypes()`
  `String`
  `getPronunciation()`
  In Japanese, the name is written in kanji, which can have multiple readings.
  `String`
  `getTitle()`
  `String[]`
  `getURLs()`

  ### Methods inherited from class com.google.zxing.client.result.ParsedResult

  `getType, maybeAppend, maybeAppend, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AddressBookParsedResult

    public AddressBookParsedResult(String[] names, String[] phoneNumbers, String[] phoneTypes, String[] emails, String[] emailTypes, String[] addresses, String[] addressTypes)

  - ### AddressBookParsedResult

    public AddressBookParsedResult(String[] names, String[] nicknames, String pronunciation, String[] phoneNumbers, String[] phoneTypes, String[] emails, String[] emailTypes, String instantMessenger, String note, String[] addresses, String[] addressTypes, String org, String birthday, String title, String[] urls, String[] geo)

- ## Method Details

  - ### getNames

    public String[] getNames()

  - ### getNicknames

    public String[] getNicknames()

  - ### getPronunciation

    public String getPronunciation()
    In Japanese, the name is written in kanji, which can have multiple readings. Therefore a hint is often provided, called furigana, which spells the name phonetically.
    Returns:
      The pronunciation of the getNames() field, often in hiragana or katakana.

  - ### getPhoneNumbers

    public String[] getPhoneNumbers()

  - ### getPhoneTypes

    public String[] getPhoneTypes()
    Returns:
      optional descriptions of the type of each phone number. It could be like "HOME", but, there is no guaranteed or standard format.

  - ### getEmails

    public String[] getEmails()

  - ### getEmailTypes

    public String[] getEmailTypes()
    Returns:
      optional descriptions of the type of each e-mail. It could be like "WORK", but, there is no guaranteed or standard format.

  - ### getInstantMessenger

    public String getInstantMessenger()

  - ### getNote

    public String getNote()

  - ### getAddresses

    public String[] getAddresses()

  - ### getAddressTypes

    public String[] getAddressTypes()
    Returns:
      optional descriptions of the type of each e-mail. It could be like "WORK", but, there is no guaranteed or standard format.

  - ### getTitle

    public String getTitle()

  - ### getOrg

    public String getOrg()

  - ### getURLs

    public String[] getURLs()

  - ### getBirthday

    public String getBirthday()
    Returns:
      birthday formatted as yyyyMMdd (e.g. 19780917)

  - ### getGeo

    public String[] getGeo()
    Returns:
      a location as a latitude/longitude pair

  - ### getDisplayResult

    public String getDisplayResult()
    Specified by:
      `getDisplayResult` in class `ParsedResult`